/**
 * @author  as
 */
public class Article {

	public Article(String description, double price, String number,
			boolean inStock) {
		this.description = description;
		this.price = price * 1.10d;
		this.number = "TGF-" + number;
		this.inStock = inStock;
	}

	private double price;

	private String description;

	private String number;

	private boolean inStock;

	public double getPriceVAT() {
		return price * 1.19d;
	}

	/**
	 * @return  the description
	 * @uml.property  name="description"
	 */
	public String getDescription() {
		return description;
	}

	/**
	 * @return  the number
	 * @uml.property  name="number"
	 */
	public String getNumber() {
		return number;
	}

	/**
	 * @return  the inStock
	 * @uml.property  name="inStock"
	 */
	public boolean isInStock() {
		return inStock;
	}

	public static boolean isArticleInStock(String number) {
		return number.equals("001-001-001");
	}

	public static String formatArticleNumber(String number) {
		return number.replace("TGF-", "");
	}

	public static double getArticlePrice(String number) {
		char[] chars = number.toCharArray();

		double dbl = 10.0d;
		for (char c : chars) {
			dbl += (int) c;
		}

		return dbl;
	}

	// public static Article createArticle(String description, String number) {
	//		
	// String artno = formatArticleNumber(number);
	// return new Article(description, getArticlePrice(artno), artno,
	// isArticleInStock(artno));
	// }

}
