import java.util.List;

/**
 * @author  as
 */
public class PrivateCustomer extends Customer {

	private List<String> interests;

	private List<Article> lastArticles;

	/**
	 * @param interests  the interests to set
	 * @uml.property  name="interests"
	 */
	public void setInterests(List<String> interests) {
		this.interests = interests;
	}

	/**
	 * @return  the interests
	 * @uml.property  name="interests"
	 */
	public List<String> getInterests() {
		return interests;
	}

	/**
	 * @param lastArticles  the lastArticles to set
	 * @uml.property  name="lastArticles"
	 */
	public void setLastArticles(List<Article> lastArticles) {
		this.lastArticles = lastArticles;
	}

	/**
	 * @return  the lastArticles
	 * @uml.property  name="lastArticles"
	 */
	public List<Article> getLastArticles() {
		return lastArticles;
	}

	public void buy(Article article) {
		lastArticles.add(article);
	}

	public void placeOrder(IOrder theOrder) {
		for (Article art : theOrder.getPosotions()) {
			this.buy(art);
		}
	}

}
