import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class Test {

	public static void main(String[] args) throws Exception {

		PrivateCustomer cust = new PrivateCustomer();

		cust.setName("J. Emand");
		cust.getAddy().street = "Biegenstrae 4";
		cust.getAddy().city = "Marrrrburg";

		cust.phoneBookSearch();

		// Folgende Zeilen auskommentieren fr "intelligentes" Extract Method:
		// String ret = cust.phoneBookSearch();
		// System.out.println(ret);

	}

	public static void test() {
		CorporateCustomer cc = new CorporateCustomer();
		cc.setName("Sun Microsystems");

		try {
			String phoneno = cc.phoneBookSearch();
			if (phoneno.contains("06421"))
				System.out.println("Seit wann ist Sun in Marburg???");
		} catch (Exception e) {
		}
	}

	public static void test2() {
		Article art = new Article("My Description", 11.99d, "TGF-001-001-001",
				true);
		PrivateCustomer pc = new PrivateCustomer();
		pc.buy(art);
	}

	public static void test3() {
		IOrder theOrder = new IOrder() {
			public Date getOrderDate() {

				return new Date(System.currentTimeMillis());
			}

			public String getOrderNumber() {
				return getOrderDate().toString() + "-TGF";
			}

			public List<Article> getPosotions() {
				List<Article> retval = new ArrayList<Article>();
				retval.add(new Article("DVD+RW 8x, 50 St.", 20.49d,
						"040-050-060", false));
				retval.add(new Article("DVD-RW 8x, 50 St.", 22.d,
						"011-012-013", true));
				return retval;
			}

			public double getDiscount() {
				return 0.1d;
			}
		};
		PrivateCustomer pcust = new PrivateCustomer();
		pcust.placeOrder(theOrder);
	}

}
